summaryrefslogtreecommitdiff
path: root/dx/tests/142-const-method-handle/build
diff options
context:
space:
mode:
Diffstat (limited to 'dx/tests/142-const-method-handle/build')
-rwxr-xr-xdx/tests/142-const-method-handle/build2
1 files changed, 1 insertions, 1 deletions
diff --git a/dx/tests/142-const-method-handle/build b/dx/tests/142-const-method-handle/build
index 1658bca3d..df5fe056d 100755
--- a/dx/tests/142-const-method-handle/build
+++ b/dx/tests/142-const-method-handle/build
@@ -34,5 +34,5 @@ if [[ ! -d "${BUILD_PATH}" ]]; then
fi
(cd "${SRC_PATH}" && javac -cp "${ASM_CLASSPATH}" -d "${BUILD_PATH}" Main.java constmethodhandle/*.java) || fail "javac error"
-(cd "${SCRIPT_PATH}" && java -cp "${ASM_CLASSPATH}:${BUILD_PATH}" constmethodhandle.TestGenerator "${BUILD_PATH}") || fail "generator failure"
+(cd "${SCRIPT_PATH}" && ${JAVA} -cp "${ASM_CLASSPATH}:${BUILD_PATH}" constmethodhandle.TestGenerator "${BUILD_PATH}") || fail "generator failure"
(cd "${BUILD_PATH}" && jar cf "${JAR_FILE}" Main.class constmethodhandle/ConstTest.class) || fail "jar creation error"